Bug 830387 - Review Request: mingw-xz - MinGW package for xz compression utilities
Review Request: mingw-xz - MinGW package for xz compression utilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 830388
  Show dependency treegraph
 
Reported: 2012-06-09 02:05 EDT by Michael Cronenworth
Modified: 2012-09-17 19:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 18:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2012-06-09 02:05:52 EDT
Spec URL: http://michael.cronenworth.com/RPMS/mingw-xz.spec
SRPM URL: http://michael.cronenworth.com/RPMS/mingw-xz-5.1.1-1alpha.fc17.src.rpm
Description: This is the MinGW cross-compiled package for the Fedora xz package.
Fedora Account System Username: mooninite
Comment 1 Erik van Pienbroek 2012-08-26 09:23:28 EDT
Taking for review.

Could you please review mingw-harfbuzz (bug 851848) in return? It's needed for pango 1.31.0 to build.
Comment 2 Erik van Pienbroek 2012-08-26 09:40:08 EDT
In the %build phase you're adding -D_FILE_OFFSET_BITS=64 to the CFLAGS. Is this really needed for MinGW builds? IIRC this is a Linux-specific hack.

rpmlint also gives some minor complaints about mixed-use-of-spaces-and-tabs. Could you fix that one as well?
Comment 3 Erik van Pienbroek 2012-08-26 10:12:14 EDT
The native Fedora xz package got updated to version 5.1.2alpha some weeks ago. You might want to update to that version as well
Comment 4 Michael Cronenworth 2012-08-26 12:32:38 EDT
(In reply to comment #2)
> In the %build phase you're adding -D_FILE_OFFSET_BITS=64 to the CFLAGS. Is
> this really needed for MinGW builds? IIRC this is a Linux-specific hack.

Yes, because in the MinGW headers there are specific checks for _FILE_OFFSET_BITS to enable 64-bit sized variables for file handling. This enables large file (>4GB) support. If I am mistaken about this I can remove them, but it looks like they are needed to me.

> rpmlint also gives some minor complaints about mixed-use-of-spaces-and-tabs.
> Could you fix that one as well?

Not sure how that happened. Fixed and updated to 5.1.2.

New spec: http://michael.cronenworth.com/RPMS/mingw-xz.spec
New SRPM: http://michael.cronenworth.com/RPMS/mingw-xz-5.1.2-1alpha.fc17.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4423754
Comment 5 Erik van Pienbroek 2012-08-26 12:54:10 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > In the %build phase you're adding -D_FILE_OFFSET_BITS=64 to the CFLAGS. Is
> > this really needed for MinGW builds? IIRC this is a Linux-specific hack.
> 
> Yes, because in the MinGW headers there are specific checks for
> _FILE_OFFSET_BITS to enable 64-bit sized variables for file handling. This
> enables large file (>4GB) support. If I am mistaken about this I can remove
> them, but it looks like they are needed to me.

Okay, good enough for me

In that case, could replace $MINGW32_CFLAGS and $MINGW64_CFLAGS with %{mingw32_cflags} and %{mingw64_cflags} so that the regular MinGW CFLAGS get applied properly? By default the environment flags MINGW32_CFLAGS and MINGW64_CFLAGS aren't set automatically
Comment 6 Michael Cronenworth 2012-08-26 13:20:21 EDT
Good point. I should have looked at the build log.

New spec: http://michael.cronenworth.com/RPMS/mingw-xz.spec
New SRPM: http://michael.cronenworth.com/RPMS/mingw-xz-5.1.2-2alpha.fc17.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4423775
Comment 7 Erik van Pienbroek 2012-08-26 14:09:18 EDT
$ rpmlint mingw-xz.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw-xz-5.1.2-2alpha.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-xz-5.1.2-2alpha.fc17.noarch.rpm mingw32-xz-libs-5.1.2-2alpha.fc17.noarch.rpm mingw32-xz-libs-static-5.1.2-2alpha.fc17.noarch.rpm mingw64-xz-5.1.2-2alpha.fc17.noarch.rpm mingw64-xz-libs-5.1.2-2alpha.fc17.noarch.rpm mingw64-xz-libs-static-5.1.2-2alpha.fc17.noarch.rpm 
mingw32-xz-libs.noarch: W: spelling-error %description -l en_US utils -> tills
mingw32-xz-libs.noarch: W: no-documentation
mingw32-xz-libs-static.noarch: W: no-documentation
mingw64-xz-libs.noarch: W: spelling-error %description -l en_US utils -> tills
mingw64-xz-libs.noarch: W: no-documentation
mingw64-xz-libs-static.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 6 warnings.

$ rpm --query --requires mingw32-xz
mingw32(kernel32.dll)  
mingw32(liblzma-5.dll)  
mingw32(msvcrt.dll)  
mingw32-crt  
mingw32-filesystem >= 83
mingw32-xz-libs = 5.1.2-2alpha.fc17
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-xz-libs
mingw32(kernel32.dll)  
mingw32(msvcrt.dll)  
mingw32-crt  
mingw32-filesystem >= 83
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-xz-libs-static
mingw32-xz-libs = 5.1.2-2alpha.fc17
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-xz
mingw64(kernel32.dll)  
mingw64(liblzma-5.dll)  
mingw64(msvcrt.dll)  
mingw64-crt  
mingw64-filesystem >= 83
mingw64-xz-libs = 5.1.2-2alpha.fc17
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-xz-libs
mingw64(kernel32.dll)  
mingw64(msvcrt.dll)  
mingw64-crt  
mingw64-filesystem >= 83
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-xz-libs-static
mingw64-xz-libs = 5.1.2-2alpha.fc17
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-xz
mingw32-xz = 5.1.2-2alpha.fc17

$ rpm --query --provides mingw32-xz-libs
mingw32(liblzma-5.dll)  
mingw32-xz-libs = 5.1.2-2alpha.fc17

$ rpm --query --provides mingw32-xz-libs-static
mingw32-xz-libs-static = 5.1.2-2alpha.fc17

$ rpm --query --provides mingw64-xz
mingw64-xz = 5.1.2-2alpha.fc17

$ rpm --query --provides mingw64-xz-libs
mingw64(liblzma-5.dll)  
mingw64-xz-libs = 5.1.2-2alpha.fc17

$ rpm --query --provides mingw64-xz-libs-static
mingw64-xz-libs-static = 5.1.2-2alpha.fc17


$ wget --quiet http://tukaani.org/xz/xz-5.1.2alpha.tar.gz -O - | md5sum
9bad1e249537ce69b206815cf28ca87b  -
$ md5sum xz-5.1.2alpha.tar.gz 
9bad1e249537ce69b206815cf28ca87b  xz-5.1.2alpha.tar.gz


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[/] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal


The remaining rpmlint warnings can be ignored

==============================================
 The package mingw-xz is APPROVED by epienbro
==============================================
Comment 8 Michael Cronenworth 2012-08-26 20:40:33 EDT
Thanks, Erik.

New Package SCM Request
=======================
Package Name: mingw-xz
Short Description: MinGW package for xz compression utilities
Owners: mooninite
Branches: f17 f18
InitialCC:
Comment 9 Gwyn Ciesla 2012-08-26 21:43:36 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-08-27 02:00:28 EDT
mingw-xz-5.1.2-2alpha.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-xz-5.1.2-2alpha.fc18
Comment 11 Fedora Update System 2012-08-27 02:02:19 EDT
mingw-xz-5.1.2-2alpha.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-xz-5.1.2-2alpha.fc17
Comment 12 Fedora Update System 2012-08-27 12:32:03 EDT
mingw-xz-5.1.2-2alpha.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-09-04 18:59:11 EDT
mingw-xz-5.1.2-2alpha.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-09-17 19:33:17 EDT
mingw-xz-5.1.2-2alpha.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.